
#ifndef VKSIMDATA_H
#define VKSIMDATA_H

#include "VKBaseData.hh"


class VKSimData : public VKBaseData {

    public:
        VKSimData(std::string filename);
        virtual ~VKSimData();

        inline size_t GetEntries() const override {return fEntries;}
        inline double GetNormalization() const override {return fNormalization;}
        inline double GetArea() const override {return fArea;}
        inline double GetGaussianEnergyResolution() const override {return fSigRel;}
        const VKEvent& GetEvent(size_t id) override;
        inline void SetGaussianEnergyResolution(double sigRel) override {fSigRel=sigRel;}
        
    private:    
        void SetInputBranches(TTree * t);
        
        size_t fEntries;
        double fSigRel;
        double fNormalization;
        double fArea;
        VKEvent fEvent;
        
        TFile *fInputFile;
        TTree *fInputTree;

        Float_t _ESin;
        Float_t _EVin;
        UInt_t  _PSin;
        UInt_t  _PVin;        
};

#endif //VKSIMDATA_H

