
#ifndef VKSUMMINGDATA_H
#define VKSUMMINGDATA_H

#include "VKBaseData.hh"

class VKSimData;


class VKSummingData : public VKBaseData {

    public:
        VKSummingData(std::string fname1, std::string fname2);
        virtual ~VKSummingData();

        inline size_t GetEntries() const override {return fEntries;}
        inline double GetNormalization() const override {return fNormalization;}
        inline double GetArea() const override {return fArea;}
        inline double GetGaussianEnergyResolution() const override {return fSigRel;}
        const VKEvent& GetEvent(size_t id) override;
        inline void SetGaussianEnergyResolution(double sigRel) override {fSigRel=sigRel;}
        
    private:    
        VKSimData * fSd1;
        VKSimData * fSd2;
                
        size_t fEntries;
        double fSigRel;
        double fNormalization;
        double fArea;
        VKEvent fEvent;
};

#endif //VKSUMMINGDATA_H

